import type { RegisterPayloadTypes } from "./../../vaa/index.js";
export declare const porticoFlagSetLayout: readonly [{
    readonly name: "recipientChain";
    readonly binary: "uint";
    readonly endianness: "little";
    readonly size: 2;
}, {
    readonly name: "bridgeNonce";
    readonly binary: "uint";
    readonly endianness: "little";
    readonly size: 4;
}, {
    readonly name: "feeTierStart";
    readonly binary: "uint";
    readonly endianness: "little";
    readonly size: 3;
}, {
    readonly name: "feeTierFinish";
    readonly binary: "uint";
    readonly endianness: "little";
    readonly size: 3;
}, {
    readonly name: "padding";
    readonly binary: "bytes";
    readonly size: 19;
}, {
    readonly binary: "uint";
    readonly size: 1;
    readonly custom: {
        to: (encoded: number) => import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>;
        from: (obj: import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>) => number;
    };
    readonly name: "flags";
}];
export declare const porticoTransferLayout: readonly [{
    readonly name: "flagSet";
    readonly binary: "bytes";
    readonly layout: readonly [{
        readonly name: "recipientChain";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 2;
    }, {
        readonly name: "bridgeNonce";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 4;
    }, {
        readonly name: "feeTierStart";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "feeTierFinish";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "padding";
        readonly binary: "bytes";
        readonly size: 19;
    }, {
        readonly binary: "uint";
        readonly size: 1;
        readonly custom: {
            to: (encoded: number) => import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>;
            from: (obj: import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>) => number;
        };
        readonly name: "flags";
    }];
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "startTokenAddress";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "cannonAssetAmount";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "finalTokenAddress";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "recipientAddress";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "destinationPorticoAddress";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "amountSpecified";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "minAmountStart";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "minAmountFinish";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "relayerFee";
}];
export declare const porticoPayloadLayout: readonly [{
    readonly name: "flagSet";
    readonly binary: "bytes";
    readonly layout: readonly [{
        readonly name: "recipientChain";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 2;
    }, {
        readonly name: "bridgeNonce";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 4;
    }, {
        readonly name: "feeTierStart";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "feeTierFinish";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "padding";
        readonly binary: "bytes";
        readonly size: 19;
    }, {
        readonly binary: "uint";
        readonly size: 1;
        readonly custom: {
            to: (encoded: number) => import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>;
            from: (obj: import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>) => number;
        };
        readonly name: "flags";
    }];
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "finalTokenAddress";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "recipientAddress";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "cannonAssetAmount";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "minAmountFinish";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "relayerFee";
}];
export declare const namedPayloads: readonly [readonly ["Transfer", readonly [{
    readonly name: "payloadId";
    readonly binary: "uint";
    readonly size: 1;
    readonly custom: 3;
    readonly omit: true;
}, {
    readonly name: "token";
    readonly binary: "bytes";
    readonly layout: readonly [{
        readonly binary: "uint";
        readonly size: 32;
        readonly name: "amount";
    }, {
        readonly binary: "bytes";
        readonly size: 32;
        readonly custom: {
            to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
            from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
        };
        readonly name: "address";
    }, {
        readonly custom: {
            to: (val: number) => "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Snaxchain" | "Unichain" | "Worldchain" | "Ink" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia" | "MonadDevnet";
            from: (val: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Snaxchain" | "Unichain" | "Worldchain" | "Ink" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia" | "MonadDevnet") => number;
        };
        readonly binary: "uint";
        readonly size: 2;
        readonly name: "chain";
    }];
}, {
    readonly name: "to";
    readonly binary: "bytes";
    readonly layout: readonly [{
        readonly binary: "bytes";
        readonly size: 32;
        readonly custom: {
            to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
            from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
        };
        readonly name: "address";
    }, {
        readonly custom: {
            to: (val: number) => "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Snaxchain" | "Unichain" | "Worldchain" | "Ink" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia" | "MonadDevnet";
            from: (val: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Snaxchain" | "Unichain" | "Worldchain" | "Ink" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia" | "MonadDevnet") => number;
        };
        readonly binary: "uint";
        readonly size: 2;
        readonly name: "chain";
    }];
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "from";
}, import("binary-layout").CustomizableBytesReturn<{
    readonly name: "payload";
}, readonly [{
    readonly name: "flagSet";
    readonly binary: "bytes";
    readonly layout: readonly [{
        readonly name: "recipientChain";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 2;
    }, {
        readonly name: "bridgeNonce";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 4;
    }, {
        readonly name: "feeTierStart";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "feeTierFinish";
        readonly binary: "uint";
        readonly endianness: "little";
        readonly size: 3;
    }, {
        readonly name: "padding";
        readonly binary: "bytes";
        readonly size: 19;
    }, {
        readonly binary: "uint";
        readonly size: 1;
        readonly custom: {
            to: (encoded: number) => import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>;
            from: (obj: import("binary-layout").Bitset<readonly ["shouldWrapNative", "shouldUnwrapNative"]>) => number;
        };
        readonly name: "flags";
    }];
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "finalTokenAddress";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("../../universalAddress.js").UniversalAddress;
        from: (val: import("../../universalAddress.js").UniversalAddress) => Uint8Array;
    };
    readonly name: "recipientAddress";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "cannonAssetAmount";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "minAmountFinish";
}, {
    readonly binary: "uint";
    readonly size: 32;
    readonly name: "relayerFee";
}]>]]];
import "../../registry.js";
declare module "../../registry.js" {
    namespace WormholeRegistry {
        interface PayloadLiteralToLayoutMapping extends RegisterPayloadTypes<"PorticoBridge", typeof namedPayloads> {
        }
    }
}
//# sourceMappingURL=porticoLayout.d.ts.map